Display modes in React Speed Dial

Choose between two layout modes to display React Speed Dial action items using the mode property: Linear (list-based) and Radial (circular). Select the mode based on your UI design needs and available screen space.

Linear display mode

In Linear mode, React Speed Dial action items are displayed in a straight line format—either horizontally or vertically. This layout is ideal for straightforward action lists. By default, React Speed Dial items display in Linear mode.

Direction

Control the direction in which action items extend from the React Speed Dial button by setting the direction property. The direction determines whether items flow left, right, up, or down from the button. By default, the direction is set to Auto, where the layout automatically adjusts based on the React Speed Dial’s position on the screen to avoid viewport edges.

The available Linear directions are:

  • Left - Action items extend leftward from the React Speed Dial button
  • Right - Action items extend rightward from the React Speed Dial button
  • Up - Action items extend upward from the React Speed Dial button
  • Down - Action items extend downward from the React Speed Dial button
  • Auto - Direction auto-calculates based on the React Speed Dial’s position to keep items visible. For example, if React Speed Dial is at bottom-right, items display at top.
import { SpeedDialComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import '../index.css';

function App() {
  const items = [
    { iconCss: 'e-icons e-cut' },
    { iconCss: 'e-icons e-copy' },
    { iconCss: 'e-icons e-paste' }
  ];
  return (<div>
    <div id="targetElement" style=></div>
    <SpeedDialComponent id='speeddial' openIconCss='e-icons e-edit' closeIconCss='e-icons e-close' items={items} mode='Linear' direction='Left' target="#targetElement"></SpeedDialComponent>
  </div>);
}
export default App;
createRoot(document.getElementById('button')).render(<App />);
import { SpeedDialComponent, type SpeedDialItemModel } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import '../index.css';

function App() {
  const items: SpeedDialItemModel[] = [
    { iconCss: 'e-icons e-cut' },
    { iconCss: 'e-icons e-copy' },
    { iconCss: 'e-icons e-paste' }
  ];
  return (
    <div>
      <div id="targetElement" style=></div>
      <SpeedDialComponent id='speeddial' openIconCss='e-icons e-edit' closeIconCss='e-icons e-close' items={items} mode='Linear' direction='Left' target="#targetElement"></SpeedDialComponent>
    </div>
  );
}
export default App;
createRoot(document.getElementById('button')!).render(<App />);

Radial display mode (Radial Menu)

Display action items in a circular pattern around the React Speed Dial button using Radial mode. This creates a radial menu layout ideal for presenting multiple options in an organized, visually distinctive way. For comprehensive radial mode customization options including direction, angles, and offset, see the Radial Menu documentation.

Display Modes in Angular Speed Dial

25 Sep 20262 minutes to read

The action items in Angular Speed Dial can be displayed in Linear and Radial display modes by setting mode property.

Linear display mode

In Linear display mode, Angular Speed Dial action items are displayed in a list-like format either horizontally or vertically. By default, Angular Speed Dial items are displayed in Linear mode.

Direction

You can open the action items on the top, left, up, and down side of the Angular Speed Dial button by setting direction property. The default value is Auto where the action items are displayed based on the positionof the Speed Dial.

The Linear directions of Speed Dial are as follows:

  • Left - Action items are displayed on the left side of the button.
  • Right - Action items are displayed on the right side of the button.
  • Up - Action items are displayed on the top of the button.
  • Down - Action items are displayed on the bottom of the button.
  • Auto - Action items display direction auto calculated based on position of the Speed Dial. If Speed Dial is position at bottom right, then action items displayed at top.
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { SpeedDialModule } from '@syncfusion/ej2-angular-buttons'



import { Component } from '@angular/core';
import { SpeedDialItemModel } from '@syncfusion/ej2-angular-buttons';
@Component({
imports: [
        
        SpeedDialModule// Registering EJ2 SpeedDial Module.
    ],


standalone: true,
    selector: 'app-root',
    template: `<div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"><div>
    <!-- To Render SpeedDial component. -->
    <button ejs-speeddial id="speeddial" openIconCss='e-icons e-edit' closeIconCss='e-icons e-close' target='#targetElement' [items]='items' mode= 'Linear' direction='Left'></button>`
})

export class AppComponent {
  public items: SpeedDialItemModel[] = [
    { iconCss: 'e-icons e-cut' },
    { iconCss: 'e-icons e-copy' },
    { iconCss: 'e-icons e-paste' }
  ];
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Radial display mode (Radial Menu)

In Radial mode, Angular Speed Dial action items are displayed in a circular pattern like a radial menu. For more details about radial mode, check out the link here.

Display Modes in Vue Speed Dial

20 Aug 20264 minutes to read

The action items in Vue Speed Dial can be displayed in Linear and Radial display modes by setting mode property.

Linear display mode

In Linear display mode, Speed Dial action items are displayed in a list-like format either horizontally or vertically. By default, Speed Dial items are displayed in Linear mode.

Direction

You can open the action items on the top, left, up, and down side of the Speed Dial button by setting direction property. The default value is Auto where the action items are displayed based on the positionof the Speed Dial.

The Linear directions of Speed Dial are as follows:

  • Left - Action items are displayed on the left side of the button.
  • Right - Action items are displayed on the right side of the button.
  • Up - Action items are displayed on the top of the button.
  • Down - Action items are displayed on the bottom of the button.
  • Auto - Action items display direction auto calculated based on position of the Speed Dial. If Speed Dial is position at bottom right, then action items displayed at top.
<template>
    <div>
        <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"></div>
        <ejs-speeddial id='speeddial' openIconCss='e-icons e-edit' closeIconCss='e-icons e-close' target='#targetElement'
            mode='Linear' direction='Left' :items='items'></ejs-speeddial>
    </div>
</template>

<script setup>

import { SpeedDialComponent as EjsSpeeddial } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

const items = [
    { iconCss: 'e-icons e-cut' },
    { iconCss: 'e-icons e-copy' },
    { iconCss: 'e-icons e-paste' }
];
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
</style>
<template>
    <div>
        <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"></div>
        <ejs-speeddial id='speeddial' openIconCss='e-icons e-edit' closeIconCss='e-icons e-close' target='#targetElement'
            mode='Linear' direction='Left' :items='items'></ejs-speeddial>
    </div>
</template>

<script>

import { SpeedDialComponent } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
export default {
    name: "App",
    components: {
        "ejs-speeddial": SpeedDialComponent
    },
    data() {
        return {
            items: [
                { iconCss: 'e-icons e-cut' },
                { iconCss: 'e-icons e-copy' },
                { iconCss: 'e-icons e-paste' }
            ]
        };
    }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
</style>

Radial display mode (Radial Menu)

In Radial mode, Speed Dial action items are displayed in a circular pattern like a radial menu. For more details about radial mode, check out the link here.